Android Version Checking

The versions of SETI@home currently distributed can’t run on Android 5+ (Lollypop). We’re working on new versions.

We’ve limited distribution to earlier distributions. If you can’t get work on Android 4, it may be necessary to update your BOINC app.

More…